Index: asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target	(revision 302)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/Makefile.target	(revision 304)
@@ -42,5 +42,5 @@
 #  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
 #
-CFG_TABS := $(CFG_TABS) --cfg1-def-table $(TARGETDIR)/target_def.csv
+CFG_TABS := $(CFG_TABS) --symval-table $(TARGETDIR)/target_sym.def
 
 #
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target.tf
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target.tf	(revision 302)
+++ 	(revision )
@@ -1,21 +1,0 @@
-$ 
-$ 		ãã¹2ã®ã¿ã¼ã²ããä¾å­ãã³ãã¬ã¼ãï¼ããã¼ã¿ã¼ã²ããç¨ï¼
-$
-$   $Id: target.tf 354 2015-07-25 10:19:41Z ertl-hiro $
-$ 
-
-$ 
-$  ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
-$ 
-$INTNO_VALID = { 0, 1,..., 31 }$
-$INHNO_VALID = INTNO_VALID$
-
-$ 
-$  ä½¿ç¨ã§ããCPUä¾å¤ãã³ãã©çªå·
-$ 
-$EXCNO_VALID = { 0, 1, 2, 3, 4, 5, 6, 7 }$
-
-$ 
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$ 
-$INCLUDE "kernel/kernel.tf"$
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_check.tf
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_check.tf	(revision 302)
+++ 	(revision )
@@ -1,10 +1,0 @@
-$ 
-$ 		ãã¹3ã®ã¿ã¼ã²ããä¾å­ãã³ãã¬ã¼ãï¼ããã¼ã¿ã¼ã²ããç¨ï¼
-$
-$   $Id: target_check.tf 238 2014-09-28 19:19:25Z ertl-hiro $
-$ 
-
-$ 
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$ 
-$INCLUDE "kernel/kernel_check.tf"$
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_check.trb
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_check.trb	(revision 304)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_check.trb	(revision 304)
@@ -0,0 +1,11 @@
+# -*- coding: utf-8 -*-
+#
+#		ãã¹3ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼ããã¼ã¿ã¼ã²ããç¨ï¼
+#
+#   $Id: target_check.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+# 
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/kernel_check.trb")
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_def.csv
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_def.csv	(revision 302)
+++ 	(revision )
@@ -1,4 +1,0 @@
-sizeof_TCB,sizeof(TCB)
-offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
-offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
-offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.cfg
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.cfg	(revision 304)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.cfg	(revision 304)
@@ -0,0 +1,7 @@
+/*
+ *		ã«ã¼ãã«å®è£
+ã®ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
+ *
+ *  $Id: target_kernel.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
+ */
+INCLUDE("target_timer.cfg")
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.trb	(revision 304)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_kernel.trb	(revision 304)
@@ -0,0 +1,22 @@
+# -*- coding: utf-8 -*-
+# 
+#		ãã¹2ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼ããã¼ã¿ã¼ã²ããç¨ï¼
+#
+#   $Id: target_kernel.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+# 
+
+# 
+#  ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
+# 
+$INTNO_VALID = [ *(0..31) ]
+$INHNO_VALID = $INTNO_VALID
+
+# 
+#  ä½¿ç¨ã§ããCPUä¾å¤ãã³ãã©çªå·
+# 
+$EXCNO_VALID = [ *(0..7) ]
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/kernel.trb")
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_offset.tf
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_offset.tf	(revision 302)
+++ 	(revision )
@@ -1,19 +1,0 @@
-$ 
-$ 		ãªãã»ãããã¡ã¤ã«çæç¨ãã³ãã¬ã¼ããã¡ã¤ã«ï¼ããã¼ã¿ã¼ã²ããç¨ï¼
-$
-$   $Id: target_offset.tf 238 2014-09-28 19:19:25Z ertl-hiro $
-$ 
-
-$
-$  æ¨æºãã³ãã¬ã¼ããã¡ã¤ã«ã®ã¤ã³ã¯ã«ã¼ã
-$
-$INCLUDE "kernel/genoffset.tf"$
-
-$
-$  ãã£ã¼ã«ãã®ãªãã»ããã®å®ç¾©ã®çæ
-$
-$DEFINE("TCB_p_tinib", offsetof_TCB_p_tinib)$
-$DEFINE("TCB_sp", offsetof_TCB_sp)$
-$DEFINE("TCB_pc", offsetof_TCB_pc)$
-$DEFINE("TINIB_exinf", offsetof_TINIB_exinf)$
-$DEFINE("TINIB_task", offsetof_TINIB_task)$
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_offset.trb
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_offset.trb	(revision 304)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_offset.trb	(revision 304)
@@ -0,0 +1,21 @@
+# -*- coding: utf-8 -*-
+# 
+# 		ãªãã»ãããã¡ã¤ã«çæç¨ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼ã
+# 		ãã¼ã¿ã¼ã²ããç¨ï¼
+#
+#   $Id: target_offset.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+# 
+
+#
+#  ã¿ã¼ã²ããéä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã
+#
+IncludeTrb("kernel/genoffset.trb")
+
+#
+#  ãã£ã¼ã«ãã®ãªãã»ããã®å®ç¾©ã®çæ
+#
+GenerateDefine("TCB_p_tinib", $offsetof_TCB_p_tinib)
+GenerateDefine("TCB_sp", $offsetof_TCB_sp)
+GenerateDefine("TCB_pc", $offsetof_TCB_pc)
+GenerateDefine("TINIB_exinf", $offsetof_TINIB_exinf)
+GenerateDefine("TINIB_task", $offsetof_TINIB_task)
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_rename.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_rename.h	(revision 302)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_rename.h	(revision 304)
@@ -43,47 +43,4 @@
 #define log_exc_leave				_kernel_log_exc_leave
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  target_kernel_impl.c
- */
-#define _dispatch					__kernel_dispatch
-#define _start_dispatch				__kernel_start_dispatch
-#define _exit_and_dispatch			__kernel_exit_and_dispatch
-#define _ret_int					__kernel_ret_int
-#define _ret_exc					__kernel_ret_exc
-#define _call_exit_kernel			__kernel_call_exit_kernel
-#define _start_r					__kernel_start_r
-#define _target_initialize			__kernel_target_initialize
-#define _target_exit				__kernel_target_exit
-
-/*
- *  target_timer.c
- */
-#define _target_hrt_initialize		__kernel_target_hrt_initialize
-#define _target_hrt_terminate		__kernel_target_hrt_terminate
-#define _target_hrt_get_current		__kernel_target_hrt_get_current
-#define _target_hrt_set_event		__kernel_target_hrt_set_event
-#define _target_hrt_raise_event		__kernel_target_hrt_raise_event
-#define _target_hrt_handler			__kernel_target_hrt_handler
-#define _target_ovrtimer_initialize	__kernel_target_ovrtimer_initialize
-#define _target_ovrtimer_terminate	__kernel_target_ovrtimer_terminate
-#define _target_ovrtimer_start		__kernel_target_ovrtimer_start
-#define _target_ovrtimer_stop		__kernel_target_ovrtimer_stop
-#define _target_ovrtimer_get_current	__kernel_target_ovrtimer_get_current
-#define _target_ovrtimer_handler	__kernel_target_ovrtimer_handler
-
-/*
- *  trace_config.c
- */
-#define _log_dsp_enter				__kernel_log_dsp_enter
-#define _log_dsp_leave				__kernel_log_dsp_leave
-#define _log_inh_enter				__kernel_log_inh_enter
-#define _log_inh_leave				__kernel_log_inh_leave
-#define _log_exc_enter				__kernel_log_exc_enter
-#define _log_exc_leave				__kernel_log_exc_leave
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_TARGET_RENAME_H */
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_sym.def
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_sym.def	(revision 304)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_sym.def	(revision 304)
@@ -0,0 +1,4 @@
+sizeof_TCB,sizeof(TCB)
+offsetof_TCB_p_tinib,"offsetof(TCB,p_tinib)"
+offsetof_TCB_sp,"offsetof(TCB,tskctxb.sp)"
+offsetof_TCB_pc,"offsetof(TCB,tskctxb.pc)"
Index: asp3_wo_tecs/trunk/target/dummy_gcc/target_unrename.h
===================================================================
--- asp3_wo_tecs/trunk/target/dummy_gcc/target_unrename.h	(revision 302)
+++ asp3_wo_tecs/trunk/target/dummy_gcc/target_unrename.h	(revision 304)
@@ -44,47 +44,4 @@
 #undef log_exc_leave
 
-#ifdef TOPPERS_LABEL_ASM
-
-/*
- *  target_kernel_impl.c
- */
-#undef _dispatch
-#undef _start_dispatch
-#undef _exit_and_dispatch
-#undef _ret_int
-#undef _ret_exc
-#undef _call_exit_kernel
-#undef _start_r
-#undef _target_initialize
-#undef _target_exit
-
-/*
- *  target_timer.c
- */
-#undef _target_hrt_initialize
-#undef _target_hrt_terminate
-#undef _target_hrt_get_current
-#undef _target_hrt_set_event
-#undef _target_hrt_raise_event
-#undef _target_hrt_handler
-#undef _target_ovrtimer_initialize
-#undef _target_ovrtimer_terminate
-#undef _target_ovrtimer_start
-#undef _target_ovrtimer_stop
-#undef _target_ovrtimer_get_current
-#undef _target_ovrtimer_handler
-
-/*
- *  trace_config.c
- */
-#undef _log_dsp_enter
-#undef _log_dsp_leave
-#undef _log_inh_enter
-#undef _log_inh_leave
-#undef _log_exc_enter
-#undef _log_exc_leave
-
-#endif /* TOPPERS_LABEL_ASM */
-
 
 #endif /* TOPPERS_TARGET_RENAME_H */