Index: rubycfg_asp/trunk/asp_dcre/target/gr_sakura_ccrx/target_support.src
===================================================================
--- rubycfg_asp/trunk/asp_dcre/target/gr_sakura_ccrx/target_support.src	(revision 313)
+++ rubycfg_asp/trunk/asp_dcre/target/gr_sakura_ccrx/target_support.src	(revision 314)
@@ -14,33 +14,39 @@
 ;*  Copyright (C) 2013      by Mitsuhiro Matsuura
 ;* 
-;*  ãLì ÒÍCFree Software Foundation ÉæÁÄö\³êÄ¢é 
-;*  GNU General Public License Ì Version 2 ÉLq³êÄ¢éð©CÈ
-;*  ºÌ(1)`(4)Ìðð½·êÉÀèC{\tgEFAi{\tgEF
-;*  AðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»EüÏEÄzziÈºC
-;*  pÆÄÔj·é±Æð³Åø·éD
-;*  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
-;*       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
-;*      XR[hÉÜÜêÄ¢é±ÆD
-;*  (2) {\tgEFAðÄpÂ\ÈoCiR[hiP[^uIu
-;*      WFNgt@CâCuÈÇjÌ`Åp·éêÉÍCp
-;*      Éº¤hL
-gipÒ}j
-AÈÇjÉCãLÌì \¦C
-;*      ±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-;*  (3) {\tgEFAðÄpsÂ\ÈoCiR[hÌ`Ü½Í@íÉg
-;*      Ýñ¾`Åp·éêÉÍCÌ¢¸ê©Ìðð½·±ÆD
-;*    (a) pÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌì
-;*         \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-;*    (b) pÌ`ÔðCÊÉèßéû@ÉæÁÄCãLì ÒÉñ·é
-;*        ±ÆD
-;*  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
-;*      Q©çàCãLì ÒðÆÓ·é±ÆD
+;*  ä¸è¨èä½æ¨©è
+ã¯ï¼Free Software Foundation ã«ãã£ã¦å
+¬è¡¨ããã¦ãã 
+;*  GNU General Public License ã® Version 2 ã«è¨è¿°ããã¦ããæ¡ä»¶ãï¼ä»¥
+;*  ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§
+;*  ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼
+;*  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+;*  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+;*      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+;*      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+;*  (2) æ¬ã½ããã¦ã§ã¢ãåå©ç¨å¯è½ãªãã¤ããªã³ã¼ãï¼ãªã­ã±ã¼ã¿ãã«ãªã
+;*      ã¸ã§ã¯ããã¡ã¤ã«ãã©ã¤ãã©ãªãªã©ï¼ã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼å©ç¨
+;*      ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼
+;*      ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+;*  (3) æ¬ã½ããã¦ã§ã¢ãåå©ç¨ä¸å¯è½ãªãã¤ããªã³ã¼ãã®å½¢ã¾ãã¯æ©å¨ã«çµ
+;*      ã¿è¾¼ãã å½¢ã§å©ç¨ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºãããã¨ï¼
+;*    (a) å©ç¨ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½
+;*        æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+;*    (b) å©ç¨ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼ä¸è¨èä½æ¨©è
+ã«å ±åãã
+;*        ãã¨ï¼
+;*  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+;*      å®³ãããï¼ä¸è¨èä½æ¨©è
+ãå
+è²¬ãããã¨ï¼
 ;* 
-;*  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì ÒÍC
-;*  {\tgEFAÉÖµÄC»ÌKpÂ\«àÜßÄC¢©ÈéÛØàsí
-;*  È¢DÜ½C{\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢
-;*  ©Èé¹QÉÖµÄàC»ÌÓCðíÈ¢D
+;*  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã¯ï¼
+;*  æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ã
+;*  ãªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çããã
+;*  ããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
 
 	.section	P, CODE
@@ -53,25 +59,27 @@
 _hardware_init_hook:
 	;
-	;  ®ì[hÝè
+	;  åä½ã¢ã¼ãè¨­å®
 	;
-	;  ®ì[hÍ{[hãÌ[qÉæÁÄè³êé½ß,
-	;  ±±ÅÍÁÊÝèµÈ¢.
-	;  ½¾µ, gGfBA/VO`bv[h
-	;  Å é±ÆðOñÆ·é.
+	;  åä½ã¢ã¼ãã¯ãã¼ãä¸ã®ç«¯å­ã«ãã£ã¦æ±ºå®ããããã,
+	;  ããã§ã¯ç¹å¥è¨­å®ããªã.
+	;  ãã ã, ãªãã«ã¨ã³ãã£ã¢ã³/ã·ã³ã°ã«ãããã¢ã¼ã
+	;  ã§ãããã¨ãåæã¨ãã.
 	;
-	;  Ü½Zbgã, à ROMFLø, à RAMFLø, OoXF³ø
-	;  Å é.
+	;  ã¾ããªã»ããå¾, å
+èµROMï¼æå¹, å
+èµRAMï¼æå¹, å¤é¨ãã¹ï¼ç¡å¹
+	;  ã§ãã.
 	;
 
 	;
-	;  NbNÝè
+	;  ã¯ã­ãã¯è¨­å®
 	;
-	;  üÍF12MHz
-	;  PLLñHF12 x 8 = 96MHz
-	;  VXeNbNF96MHz
-	;  üÓW
-[NbNF48MHz
-	;  OoXNbNF96MHz
-	;  Æ·é.
+	;  å
+¥åï¼12MHz
+	;  PLLåè·¯ï¼12 x 8 = 96MHz
+	;  ã·ã¹ãã ã¯ã­ãã¯ï¼96MHz
+	;  å¨è¾ºã¢ã¸ã¥ã¼ã«ã¯ã­ãã¯ï¼48MHz
+	;  å¤é¨ãã¹ã¯ã­ãã¯ï¼96MHz
+	;  ã¨ãã.
 	;
 
@@ -103,5 +111,5 @@
 	;while(SYSTEM.MOFCR.BIT.MOFXIN == 0)
 	BRA.B	_hardware_init_hook_01
-	;SYSTEM.MOFCR.BIT.MOFXIN = 1;	// CNbN­Uí­§­U
+	;SYSTEM.MOFCR.BIT.MOFXIN = 1;	// ã¡ã¤ã³ã¯ã­ãã¯çºæ¯å¨å¼·å¶çºæ¯
 _hardware_init_hook_00:
 	MOV.L	#080000H,R11
@@ -119,5 +127,5 @@
 	;while(SYSTEM.MOSCCR.BIT.MOSTP == 1)
 	BRA.B	_hardware_init_hook_11
-	;SYSTEM.MOSCCR.BIT.MOSTP = 0;	// CNbN­Uí®ì
+	;SYSTEM.MOSCCR.BIT.MOSTP = 0;	// ã¡ã¤ã³ã¯ã­ãã¯çºæ¯å¨åä½
 _hardware_init_hook_10:
 	MOV.L	#080000H,R11
@@ -149,5 +157,5 @@
 	MOV.L	#21021211H,20H[R10]
 	;
-	;SYSTEM.SCKCR3.BIT.CKSEL = 4;		// PLLñHIð
+	;SYSTEM.SCKCR3.BIT.CKSEL = 4;		// PLLåè·¯é¸æ
 	MOV.L	#080000H,R10
 	MOV.W	26H[R10],R11
@@ -157,13 +165,13 @@
 
 	;
-	;  W
-[Xgbv
+	;  ã¢ã¸ã¥ã¼ã«ã¹ããã
 	;
-	;  Zbgã, ®ìµÄ¢éà üÓW
-[ÍDMAC, DTC,
-	;  à RAMÌÝÅ é.
-	;  »êÈOÌà üÓW
-[ÉÖµÄÍgp·é¤Å
-	;  Ýè·é±Æ.
+	;  ãªã»ããå¾, åä½ãã¦ããå
+èµå¨è¾ºã¢ã¸ã¥ã¼ã«ã¯DMAC, DTC,
+	;  å
+èµRAMã®ã¿ã§ãã.
+	;  ããä»¥å¤ã®å
+èµå¨è¾ºã¢ã¸ã¥ã¼ã«ã«é¢ãã¦ã¯ä½¿ç¨ããå´ã§
+	;  è¨­å®ãããã¨.
 	;
 
@@ -176,6 +184,8 @@
 _software_init_hook:
 	;
-	;  {RpCÅÍweak definitionÌ@\ª³¢½ß,
-	;  ÁÉKvÈÍÈ¢ª, K¸ÄÑo·±ÆÆ·é.
+	;  æ¬ã³ã³ãã¤ã©ã§ã¯weak definitionã®æ©è½ãç¡ããã,
+	;  ç¹ã«å¿
+è¦ãªå¦çã¯ãªãã, å¿
+ãå¼ã³åºããã¨ã¨ãã.
 	;
 	rts