Index: asp3_gr_sakura/trunk/tecsgen/tecslib/plugin/lib/GenTransparentMarshaler.rb
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecslib/plugin/lib/GenTransparentMarshaler.rb	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecslib/plugin/lib/GenTransparentMarshaler.rb	(revision 318)
@@ -6,52 +6,37 @@
 #   Copyright (C) 2008-2014 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
-#   $Id: GenTransparentMarshaler.rb 2418 2016-01-04 12:17:36Z okuma-top $
+#   $Id$
 #++
 
-#ãã©ã°ã¤ã³ãªãã·ã§ã³ç¨å¤æ°
+#プラグインオプション用変数
 #@task_priority:: Integer
 #@channelCelltype:: String
@@ -60,5 +45,5 @@
 module GenTransparentMarshaler
 
-  # ãã©ã°ã¤ã³å¼æ°åã¨ Proc
+  # プラグイン引数名と Proc
   RPCPluginArgProc = {
     "taskPriority"    => Proc.new { |obj,rhs| obj.set_taskPriority rhs },
@@ -69,10 +54,10 @@
   }
 
-  #=== ãã©ã°ã¤ã³å¼æ° taskPriority ã®ãã§ãã¯
+  #=== プラグイン引数 taskPriority のチェック
   def set_taskPriority( rhs )
     @task_priority = rhs
   end
 
-  #=== ãã©ã°ã¤ã³å¼æ° channelCelltype ã®ãã§ãã¯
+  #=== プラグイン引数 channelCelltype のチェック
   def set_channelCelltype( rhs )
     @channelCelltype = rhs.to_sym
@@ -86,5 +71,5 @@
   end
 
-  #=== ãã©ã°ã¤ã³å¼æ° TDRCelltype ã®ãã§ãã¯
+  #=== プラグイン引数 TDRCelltype のチェック
   def set_TDRCelltype( rhs )
     @TDRCelltype = rhs.to_sym
@@ -98,5 +83,5 @@
   end
 
-  #=== ãã©ã°ã¤ã³å¼æ° channelCellName ã®ãã§ãã¯
+  #=== プラグイン引数 channelCellName のチェック
   def set_channelCellName( rhs )
     @channelCellName = rhs
@@ -108,10 +93,10 @@
   end
 
-  #=== ãã©ã°ã¤ã³å¼æ° PPAllocatorSize ã®ãã§ãã¯
+  #=== プラグイン引数 PPAllocatorSize のチェック
   def set_PPAllocatorSize( rhs )
     @PPAllocatorSize = rhs
   end
 
-  #=== marshaler ã®ã»ã«ã¿ã¤ãåãè¨­å®ãã
+  #=== marshaler のセルタイプ名を設定する
   def initialize_transparent_marshaler cell_name
     @task_priority = 8
@@ -135,6 +120,5 @@
 
     f = CFile.open( @marshaler_celltype_file_name, "w" )
-    # åãå
-å®¹ãäºåº¦æ¸ãå¯è½æ§ãã (AppFile ã¯ä¸å¯)
+    # 同じ内容を二度書く可能性あり (AppFile は不可)
 
     f.print <<EOT
@@ -157,9 +141,9 @@
   end
 
-  #===  åãå£é¢æ°ã®æ¬ä½ã³ã¼ããçæï¼é ­é¨ã¨æ«å°¾ã¯å¥éåºåï¼
-  #ct_name:: Symbol    (through ãã©ã°ã¤ã³ã§çæããã) ã»ã«ã¿ã¤ãå ï¼Symbol ã¨ãã¦éããã¦ããï¼ãããï¼
+  #===  受け口関数の本体コードを生成（頭部と末尾は別途出力）
+  #ct_name:: Symbol    (through プラグインで生成された) セルタイプ名 ．Symbol として送られてくる（らしい）
   def gen_ep_func_body( file, b_singleton, ct_name, global_ct_name, sig_name, ep_name, func_name, func_global_name, func_type, params )
 
-    # unmarshaler ã¯ã©ã¹ã?
+    # unmarshaler クラスか?
     if ct_name == @unmarshaler_celltype_name.to_sym then
       gen_ep_func_body_unmarshal( file, b_singleton, ct_name, global_ct_name, sig_name, ep_name, func_name, func_global_name, func_type, params )
@@ -169,5 +153,5 @@
   end
 
-  #===  marshal ã³ã¼ãã®çæ
+  #===  marshal コードの生成
   def gen_ep_func_body_marshal( file, b_singleton, ct_name, global_ct_name, sig_name, ep_name, func_name, func_global_name, func_type, params )
 
@@ -175,9 +159,8 @@
     b_ret_er = false
 
-    # é¢æ°ã®æ»ãå¤ã®å
-ã®åãå¾ã(typedef ããã¦ããå ´å)
+    # 関数の戻り値の元の型を得る(typedef されている場合)
     type = func_type.get_type.get_original_type
 
-    # æ»ãå¤è¨æ¶ç¨ã®å¤æ°ãåºåï¼void åã®é¢æ°ã§ã¯åºåããªãï¼
+    # 戻り値記憶用の変数を出力（void 型の関数では出力しない）
     if ! type.is_void? then
       if func_type.get_type.kind_of?( DefinedType ) && ( func_type.get_type.get_type_str == "ER" || func_type.get_type.get_type_str == "ER_INT" ) then
@@ -194,16 +177,15 @@
     file.print( "    FLGPTN  flgptn;\n" )
 
-    # å¼ã³å
-ã® signature ãåãåºã
+    # 呼び先の signature を取り出す
     signature = @signature
 
-    # é¢æ° ID ï¼æ´æ°å¤ï¼
+    # 関数 ID （整数値）
     func_id = signature.get_id_from_func_name( func_name )
     file.print( "    int16_t  func_id_ = #{func_id};    /* id of #{func_name}: #{func_id} */\n" )
 
-    # ã·ã³ã°ã«ãã³ã§ãªããï¼
+    # シングルトンでないか？
     if ! b_singleton then
 
-      # singleton ã§ãªããã° p_cellcb åå¾ã³ã¼ããåºå
+      # singleton でなければ p_cellcb 取得コードを出力
       file.print <<EOT
     #{ct_name}_CB *p_cellcb;
@@ -213,5 +195,5 @@
 EOT
 
-      # ã¨ã©ã¼ãè¿ããï¼
+      # エラーを返すか？
       if b_ret_er then
         file.print <<EOT
@@ -223,11 +205,11 @@
         file.print <<EOT
     }else{
-        /* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿° */
-    }
-EOT
-      end
-    end
-
-    # channel lock ã³ã¼ã
+        /* エラー処理コードをここに記述 */
+    }
+EOT
+      end
+    end
+
+    # channel lock コード
     file.print <<EOT
     /* Channel Lock */
@@ -237,11 +219,11 @@
 EOT
 
-    # SOP ãéä¿¡
-    file.print "    /* SOPã®éåº */\n"
+    # SOP を送信
+    file.print "    /* SOPの送出 */\n"
     file.print "    if( ( ercd_ = cTDR_sendSOP( true ) ) != E_OK )\n"
     file.print "      goto error_reset;\n"
 
-    # func_id ãéä¿¡
-    file.print "    /* é¢æ° id ã®éåº */\n"
+    # func_id を送信
+    file.print "    /* 関数 id の送出 */\n"
     file.print "    if( ( ercd_ = cTDR_putInt16( func_id_ ) ) != E_OK )\n"
     file.print "        goto error_reset;\n"
@@ -250,11 +232,9 @@
     # p "#{ct_name}, #{sig_name}, #{func_name}, #{func_global_name}"
 
-    b_get = false    # marshal ãªã put
+    b_get = false    # marshal なら put
     b_marshal = true  # marshal
 
-    # in æ¹åã®å
-¥åºåãåºå
-    file.print "    /* å
-¥åå¼æ°éåº */\n"
+    # in 方向の入出力を出力
+    file.print "    /* 入力引数送出 */\n"
     print_params( params, file, 1, b_marshal, b_get, true, func_type.is_oneway? )
     print_params( params, file, 1, b_marshal, b_get, false, func_type.is_oneway? )
@@ -264,5 +244,5 @@
     end
 
-    file.print "    /* EOPã®éåºï¼ãã±ããã®æãã ãï¼ */\n"
+    file.print "    /* EOPの送出（パケットの掃きだし） */\n"
     if ! func_type.is_oneway? then
       b_continue = "true"
@@ -293,6 +273,5 @@
 
     if( b_void == false )then
-      # å¼ã³å
-ã«æ»ãå¤ããªã¿ã¼ã³
+      # 呼び元に戻り値をリターン
       file.print( "    return retval_;\n" )
     else
@@ -307,5 +286,5 @@
 EOT
 
-    # channel lock ã³ã¼ã
+    # channel lock コード
     file.print <<EOT
     /* Channel Lock */
@@ -316,6 +295,5 @@
 
     if( b_ret_er != false )then
-      # å¼ã³å
-ã«æ»ãå¤ããªã¿ã¼ã³
+      # 呼び元に戻り値をリターン
       file.print( "    return ercd_;\n" )
     else
@@ -325,5 +303,5 @@
   end
 
-  #===  unmarshal ã³ã¼ãã®çæ
+  #===  unmarshal コードの生成
   def gen_ep_func_body_unmarshal( file, b_singleton, ct_name, global_ct_name, sig_name, ep_name, func_name, func_global_name, func_type, params )
 
@@ -331,5 +309,5 @@
     b_ret_er = false
 
-    # func_id ãå¾ãã³ã¼ããçæ
+    # func_id を得るコードを生成
     file.print <<EOT
 
@@ -352,5 +330,5 @@
         file.print <<EOT
     }else{
-        /* ã¨ã©ã¼å¦çã³ã¼ããããã«è¨è¿° */
+        /* エラー処理コードをここに記述 */
     }
 EOT
@@ -359,8 +337,8 @@
     file.print <<EOT
 
-    /* SOPã®ãã§ãã¯ */
+    /* SOPのチェック */
     if( (ercd_=cTDR_receiveSOP( false )) != E_OK )
         goto error_reset;
-    /* func_id ã®åå¾ */
+    /* func_id の取得 */
     if( (ercd_=cTDR_getInt16( &func_id_ )) != E_OK )
         goto error_reset;
@@ -372,11 +350,10 @@
 EOT
 
-    # å¼ã³å
-ã® signature ãåãåºã
+    # 呼び先の signature を取り出す
     # port = @celltype.find( @next_cell_port_name )
     # signature = port.get_signature
     signature = @signature
 
-    # through ã® signature ã«å«ã¾ãã ãã¹ã¦ã®é¢æ°ã«ã¤ãã¦
+    # through の signature に含まれる すべての関数について
     signature.get_function_head_array.each { |f|
       f_name = f.get_name
@@ -384,5 +361,5 @@
       id = signature.get_id_from_func_name( f_name )
 
-      # é¢æ°ã¯è¿ãå¤ãæã¤ã?
+      # 関数は返り値を持つか?
       if f_type.get_type.is_void? then
         b_void = true
@@ -391,5 +368,5 @@
       end
 
-      # ãã±ããã®çµããããã§ãã¯ï¼æªåãåãã®ãã¼ã¿ãæ®ã£ã¦ããªãããã§ãã¯ï¼
+      # パケットの終わりをチェック（未受け取りのデータが残っていないかチェック）
       file.print "    case #{id}:       /*** #{f_name} ***/ \n"
       file.print "        if( tTransparentUnmarshaler_#{@signature.get_global_name}_#{f_name}() != E_OK )\n"
@@ -400,5 +377,5 @@
 
     if @PPAllocatorSize then
-      ppallocator_dealloc_str = "    /* PPAllocator ã®ãã¹ã¦ãè§£æ¾ */\n    cPPAllocator_dealloc_all();"
+      ppallocator_dealloc_str = "    /* PPAllocator のすべてを解放 */\n    cPPAllocator_dealloc_all();"
     else
       ppallocator_dealloc_str = ""
@@ -422,10 +399,8 @@
 
   # IN b_marshal, b_get
-  #  b_marshal = true  && b_get == false   :  ãã¼ã·ã£ã©ã§å
-¥åå¼æ°éåº
-  #  b_marshal = true  && b_get == true    :  ãã¼ã·ã£ã©ã§åºåå¼æ°åå
-  #  b_marshal = false && b_get == true    :  ã¢ã³ãã¼ã·ã£ã©ã§å
-¥åå¼æ°åå
-  #  b_marshal = false && b_get == get     :  ã¢ã³ãã¼ã·ã£ã©ã§åºåå¼æ°éåº
+  #  b_marshal = true  && b_get == false   :  マーシャラで入力引数送出
+  #  b_marshal = true  && b_get == true    :  マーシャラで出力引数受取
+  #  b_marshal = false && b_get == true    :  アンマーシャラで入力引数受取
+  #  b_marshal = false && b_get == get     :  アンマーシャラで出力引数送出
   def print_params( params, file, nest, b_marshal, b_get, b_referenced, b_oneway = false )
     params.each{ |param|
@@ -438,5 +413,5 @@
       type = param.get_type
       if b_oneway && dir == :IN && type.get_original_type.kind_of?( PtrType ) || type.get_original_type.kind_of?( ArrayType ) then
-        # oneway, in, PtrType ã®å ´åã³ãã¼
+        # oneway, in, PtrType の場合コピー
         alloc_cp = "cPPAllocator_alloc"
         alloc_cp_extra = nil
@@ -460,5 +435,5 @@
   end
 
-  #=== ã³ãã¼ããªãå¼æ°æ¸¡ãã³ã¼ãã®åºå
+  #=== コピーしない引数渡しコードの出力
   def print_param_nc( name, type, file, nest, b_marshal, outer, outer2, b_get )
     indent = "    " * ( nest + 1 )
@@ -480,5 +455,5 @@
         when :SIGNED
           if bit_size == -1 || bit_size == -11 then
-            # signed char ã®å ´åãsigned ãæå®ãã
+            # signed char の場合、signed を指定する
             signC = "S"
             sign  = "s"
@@ -573,6 +548,6 @@
 
 
-  #=== PREAMBLE é¨ã®ã³ã¼ãçæ
-  # ã¢ã³ãã¼ã·ã£ã©ã»ã«ã¿ã¤ãã®å ´åãã¢ã³ãã¼ã·ã£ã©é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨ãçæ
+  #=== PREAMBLE 部のコード生成
+  # アンマーシャラセルタイプの場合、アンマーシャラ関数のプロトタイプ宣言を生成
   def gen_preamble file, b_singleton, ct_name, global_name
     if ct_name != @unmarshaler_celltype_name.to_sym then
@@ -580,6 +555,6 @@
     end
 
-    file.print "/* ã¢ã³ãã¼ã·ã£ã©é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨ */\n"
-    # signature ã«å«ã¾ãã ãã¹ã¦ã®é¢æ°ã«ã¤ãã¦
+    file.print "/* アンマーシャラ関数のプロトタイプ宣言 */\n"
+    # signature に含まれる すべての関数について
     @signature.get_function_head_array.each { |f|
       f_name = f.get_name
@@ -591,6 +566,6 @@
   end
 
-  #=== POSTAMBLE é¨ã®ã³ã¼ãçæ
-  # ã¢ã³ãã¼ã·ã£ã©ã»ã«ã¿ã¤ãã®å ´åãã¢ã³ãã¼ã·ã£ã©é¢æ°ã®çæ
+  #=== POSTAMBLE 部のコード生成
+  # アンマーシャラセルタイプの場合、アンマーシャラ関数の生成
   def gen_postamble file, b_singleton, ct_name, global_name
     if ct_name != @unmarshaler_celltype_name.to_sym then
@@ -598,5 +573,5 @@
     end
 
-    file.print "\n/*** ã¢ã³ãã¼ã·ã£ã©é¢æ° ***/\n\n"
+    file.print "\n/*** アンマーシャラ関数 ***/\n\n"
     @signature.get_function_head_array.each { |f|
       f_name = f.get_name
@@ -604,5 +579,5 @@
       id = @signature.get_id_from_func_name( f_name )
 
-      # é¢æ°ã¯è¿ãå¤ãæã¤ã?
+      # 関数は返り値を持つか?
       if f_type.get_type.is_void? then
         b_void = true
@@ -623,5 +598,5 @@
       file.print "	CELLCB  *p_cellcb;\n"
 
-      # å¼æ°ãååãå¤æ°ã®å®ç¾©
+      # 引数を受取る変数の定義
       param_list = f.get_declarator.get_type.get_paramlist.get_items
            # FuncHead->  Decl->    FuncType->ParamList
@@ -638,13 +613,13 @@
         end
 
-        type_str = type.get_type_str.gsub( /\bconst\b */, "" ) # "const" ãå¤ã
+        type_str = type.get_type_str.gsub( /\bconst\b */, "" ) # "const" を外す
 
         file.printf( "    %-12s %s%s%s%s;\n", type_str, aster, name, aster2, type.get_type_str_post )
       }
 
-      # æ»ãå¤ãåãåãå¤æ°ã®å®ç¾©
+      # 戻り値を受け取る変数の定義
       if ! b_void then
         if f.is_oneway? then
-          retval_ptr = ""   # oneway ã®å ´åãåãåããæ¨ã¦ããã
+          retval_ptr = ""   # oneway の場合、受け取るが捨てられる
         else
           retval_ptr = "*"
@@ -653,10 +628,7 @@
       end
 
-      # in æ¹åã®å
-¥åºåãå
-¥å
-      file.print "\n        /* å
-¥åå¼æ°åå */\n"
-      b_get = true    # unmarshal ã§ã¯ get
+      # in 方向の入出力を入力
+      file.print "\n        /* 入力引数受取 */\n"
+      b_get = true    # unmarshal では get
       b_marshal  = false
       print_params( param_list, file, 1, b_marshal, b_get, true, f.is_oneway? )
@@ -667,7 +639,7 @@
       end
 
-      # ãã±ããã®åä¿¡å®äº
-      # mikan æ¬å½ã¯ãå¯¾è±¡é¢æ°ãå¼åºãå¾ã«å®æ½ãããï¼å¼åºããã±ããã®ä½¿ç¨çµãããå®£è¨ããç®çã¨ãã¦
-      file.print "        /* ãã±ããçµããããã§ãã¯ */\n"
+      # パケットの受信完了
+      # mikan 本当は、対象関数を呼出す後に実施したい．呼出しパケットの使用終わりを宣言する目的として
+      file.print "        /* パケット終わりをチェック */\n"
       if ! f.is_oneway? then
         b_continue = "true"
@@ -678,6 +650,6 @@
       file.print "        goto error_reset;\n\n"
 
-      # å¯¾è±¡é¢æ°ãå¼åºã
-      file.print "    /* å¯¾è±¡é¢æ°ã®å¼åºã */\n"
+      # 対象関数を呼出す
+      file.print "    /* 対象関数の呼出し */\n"
       if b_void then
         file.print( "    cServerCall_#{f_name}(" )
@@ -694,11 +666,10 @@
       file.print( " );\n" )
 
-      # æ»ãå¤ãåºåå¼æ°ã®ååã³ã¼ãã®çæ
-
-      # oneway ã®å ´ååºåãæ»ãå¤ãç¡ããååãå¾
-ããªãï¼éåæãªå¼åºãï¼
+      # 戻り値、出力引数の受取コードの生成
+
+      # oneway の場合出力、戻り値が無く、受取を待たない（非同期な呼出し）
       if ! f.is_oneway? then
         file.print <<EOT
-    /* é¢æ°å¦çã®çµäºãéç¥ */
+    /* 関数処理の終了を通知 */
     if( ( ercd_ = cEventflag_set( 0x01 ) ) != E_OK ){
       goto error_reset;